function [sol_RK4,sol_real,avg_num_iter,avg_time_RK4,avg_oper] = lev_loc_early_trunc_tracker
    
% Purpose: to test algorithm for 100 random data sets and find the average
% time, number of operations, and number of iterations.

time_rk4 = 0;
iterations = 0;
operations = 0;

for i = 1:100
    
    % Profile and time code
    profile on
    t_start_rk4 = tic;
    [sol_RK4,sol_real,iter_counter_RK4] = lev_loc_early_trunc_tracker_rk4;
    t_end_rk4 = toc(t_start_rk4);
    profileStruct = profile('info');
    [flopTotal,~]  = FLOPS('lev_loc_early_trunc_tracker_rk4','MATfilename',profileStruct);
    
    % Add data for time, number of operations, and number of steps
    time_rk4 = time_rk4 + t_end_rk4;
    iterations = iterations + iter_counter_RK4;
    operations = operations + flopTotal;
    
end

% Average over the number of runs completed to get desired data
avg_num_iter = iterations/100;
avg_time_RK4 = time_rk4/100;
avg_oper = operations/100;

return