function [sol_RK4,avg_num_iter,avg_time_RK4,avg_oper,med,med_time] = early_trunc_tracker_6pt

time_rk4 = 0;
iterations = 0;
operations = 0;

%testing
opers = zeros(100,1);
time = zeros(100,1);

for i = 1:100
    
    profile on
    t_start_rk4 = tic;
    [sol_RK4,iter_counter_RK4] = early_trunc_tracker_rk4_6pt;
    t_end_rk4 = toc(t_start_rk4);
    profileStruct = profile('info');
    [flopTotal,~]  = FLOPS('early_trunc_tracker_rk4_6pt','MATfilename',profileStruct);
    
    time_rk4 = time_rk4 + t_end_rk4;
    iterations = iterations + iter_counter_RK4;
    operations = operations + flopTotal;
    opers(i,1) = flopTotal;
    time(i,1) = t_end_rk4;
    
end

avg_num_iter = iterations/100;
avg_time_RK4 = time_rk4/100;
avg_oper = operations/100;
med = median(opers);
med_time = median(time);

return