function [Rand] = pinv_rand_6pt(y)

E = [y(1,1) y(2,1) y(3,1); ...
    y(4,1) y(5,1) y(6,1); ...
    y(7,1) y(8,1) y(9,1)];

[~, dF_E] = evalfunc(E);

[U,S,~] = svd(dF_E,'econ');

U = U(:,1:3);
S = S(1:3,1:3);

Rand = S\U';